OptionAccessor (Groovy 5.1.0)

Package: groovy.cli.picocli

## [Groovy] Class OptionAccessor

- groovy.cli.picocli.OptionAccessor

-     class OptionAccessor
      extends Object

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CommandLine.ParseResult` | `parseResult`
    `Map<String, TypedOption>` | `savedTypeOptions`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `OptionAccessor(CommandLine.ParseResult parseResult)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<String>` | `arguments()`
    `<T>` | `T` | `defaultValue(String name)`
    `<T>` | `T` | `getAt(TypedOption<T> typedOption)`
    `<T>` | `T` | `getAt(TypedOption<T> typedOption, T defaultValue)`
    `` | `Properties` | `getOptionProperties(String name)`
    `<T>` | `T` | `getOptionValue(TypedOption<T> typedOption)`
    `<T>` | `T` | `getOptionValue(TypedOption<T> typedOption, T defaultValue)`
    `` | `Object` | `getProperty(String name)`
    `` | `boolean` | `hasOption(TypedOption typedOption)`
    `` | `Object` | `invokeMethod(String name, Object args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### CommandLine.ParseResult parseResult

    - #### Map<String, TypedOption> savedTypeOptions

  - ### Constructor Detail

    - #### OptionAccessor(CommandLine.ParseResult parseResult)

  - ### Method Detail

    - #### List<String> arguments()

    - #### <T> T defaultValue(String name)

    - #### <T> T getAt(TypedOption<T> typedOption)

    - #### <T> T getAt(TypedOption<T> typedOption, T defaultValue)

    - #### Properties getOptionProperties(String name)

    - #### <T> T getOptionValue(TypedOption<T> typedOption)

    - #### <T> T getOptionValue(TypedOption<T> typedOption, T defaultValue)

    - #### Object getProperty(String name)

    - #### boolean hasOption(TypedOption typedOption)

    - #### Object invokeMethod(String name, Object args)